/*Copyright (C) 2010 Michal Richter (michalisek@gmail.com)

This file is part of michalisekSpell.

MichalisekSpell is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
															   option) any later version.

MichalisekSpell is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with MichalisekSpell; see the file COPYING.  If not, see
<http://www.gnu.org/licenses/>.

*/
#ifndef ADDDIACRITICOOVGUESER_HPP_
#define ADDDIACRITICOOVGUESER_HPP_

#include "StdAfx.h"


namespace ngramchecker {

	class AddDiacriticOOVGueser {
	private:
		
		uint32_t decoder_order;
		double word_change_normal_cost;
		double word_change_name_cost;

	public:

		string ResolveWord(string word, bool isName);

		AddDiacriticOOVGueser(uint32_t _decoder_order, double _word_change_normal_cost, double _word_change_name_cost):
			decoder_order(_decoder_order),
			word_change_normal_cost(_word_change_normal_cost),
			word_change_name_cost(_word_change_name_cost)
		{}


	};

}

#endif /* ADDDIACRITICOOVGUESER_HPP_ */
