/*

 Copyright (C) 2010 Michal Richter (michalisek@gmail.com)
 
 This file is part of michalisekSpell.
 
 MichalisekSpell is free software; you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the
 Free Software Foundation; either version 3 of the License, or (at your
 option) any later version.
 
 MichalisekSpell is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 for more details.
 
 You should have received a copy of the GNU General Public License
 along with MichalisekSpell; see the file COPYING.  If not, see
 <http://www.gnu.org/licenses/>.
 
 */

#ifndef COMMONHEADER_HPP_
#define COMMONHEADER_HPP_

//STL:
#include <map>
#include <vector>
#include <set>
#include <string>
//#include <ctime>
#include <cstdlib>
#include <fstream>
#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <algorithm>
#include <math.h>
#include <cassert>
#include <stdint.h>
#include <limits>
#include <climits>

//boost:
#include <boost/lexical_cast.hpp>
#include <boost/shared_ptr.hpp>
#include <boost/unordered_set.hpp>
#include <boost/unordered_map.hpp>
#include <boost/algorithm/string.hpp>

using namespace std;
using namespace boost;

#include "typedefs.hpp"
#include "constants.hpp"

using namespace ngramchecker;

#ifndef uint
#define uint uint32_t
#endif

#define SP_DEF(cl_name) typedef boost::shared_ptr<cl_name> cl_name##P

#endif /* COMMONHEADER_HPP_ */
