/*
 
 Copyright (C) 2010 Michal Richter (michalisek@gmail.com)
 
 This file is part of michalisekSpell.
 
 MichalisekSpell is free software; you can redistribute it and/or modify it
 under the terms of the GNU General Public License as published by the
 Free Software Foundation; either version 3 of the License, or (at your
 option) any later version.
 
 MichalisekSpell is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 for more details.
 
 You should have received a copy of the GNU General Public License
 along with michalisekSpell; see the file COPYING.  If not, see
 <http://www.gnu.org/licenses/>.
 
 */

#ifndef TAGGER_HPP_
#define TAGGER_HPP_

#include "StdAfx.h"
#include "DecoderMorphoAnal.hpp"

namespace ngramchecker {


	class Tagger {
	private:
		DecoderMorphoAnal decoder;

	public:

		string TagSentence(string sentence);

		string TagText(string text);

		Tagger(uint32_t order):
			decoder(order, 0.5, 0.5)
		{}

	};

}

#endif /* TAGGER_HPP_ */
